SAP Builders Discussions
Join the discussion -- ask questions and discuss how you and fellow SAP Builders are using SAP Build, SAP Build Apps, SAP Build Process Automation, and SAP Build Work Zone.
cancel
Showing results for 
Search instead for 
Did you mean: 

Help Needed: Updating Target API Level to 34 for Google Play Compliance

jesus77
Explorer
1,092

Hi everyone,

I hope you all are doing well.

I recently received a notification from Google Play stating that my app must target API level 34 or higher by August 31, 2024, to comply with their new requirements. Currently, my target SDK is set to API level 33.

Here is the message from Google Play (translated from spanish):


*Google Play requires that apps target API level 34 or higher.

Update your target API level by August 31, 2024, to publish updates to your app. We have detected that your app targets an older version of Android. To provide users with a secure experience, Google Play requires all apps to meet the target API level requirements.

As of August 31, 2024, if your target API level is more than one year old compared to the latest Android release, you will not be able to update your app.*

Could someone guide me through the process of updating the target API level in SAP Build Apps? Any detailed steps, documentation, or best practices would be greatly appreciated.

Thank you in advance for your help!

Best regards,

5 REPLIES 5

Folidol
Discoverer
950

Hi,

I also received the same message yesterday from Google Play.  Friends, please help.

Thqnk you...

meagan1
Newcomer
0 Kudos
638

Hi, have you had any luck with this??? - I have the same issue...

0 Kudos
543

Hi,

I presume this issue would impact everyone who exported their Apps through Appgyver and published in Google Play Store. Hope SAP App Builder would address the issue quickly...thank you..

aretesw
Discoverer
0 Kudos
405

same problem here

VagnerSE
Newcomer
284

I'm also having the same problem. I have been researching some solutions to update apk 33 to apk 34, I have been trying to use the apk tool program, but I have not been successful. I hope SAP can resolve this as soon as possible.